# Update a project finding state (review and/or suppression) or severity (Code - SAST)

Update a project finding state (review and/or suppression) or severity

Endpoint: PATCH /api/v3.0/projects/{projectUuid}/code/findings/{findingSnapshotId}
Version: 3.0
Security: bearer-key

## Security:

  - `bearer-key` (unknown)
    http bearer JWT

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

  - `findingSnapshotId` (string, required)
    UUID of the finding snapshot

## Request body:

  - `application/json` (unknown)
    Patch operation to apply to the finding

## Request fields (application/json):

  - `customSeverity` (string)
    If set, it has to be either High, Medium or Low.
Case insensitive, all values are converted to have the first letter uppercase and others lowercase, e.g. High.

  - `origin` (string)
    Optional, origin used for telemetry.

  - `reviewed` (boolean)

  - `suppressed` (boolean)

  - `suppressionReason` (string)
    Has to be unset or empty if suppressed is not set or if it's false.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (*/*):

  - `additionalData` (object)

  - `response` (object)

  - `response.message` (string)
    Example: Operation succeeded

  - `response.result` (any)

  - `response.success` (boolean)
    Example: true

  - `supportToken` (string)

## Response 400:

  - `400` (unknown)
    Invalid query definition

## Response 400 fields (*/*):

  - `additionalData` (object)

  - `additionalData.message` (string)
    Example: Something went wrong

  - `additionalData.result` (string)
    Example: error

  - `additionalData.success` (boolean)
    Example: false

  - `response` (any)

  - `supportToken` (string)

## Response 403:

  - `403` (unknown)
    Unauthorized

## Response 403 fields (*/*):

  - `additionalData` (object)

  - `additionalData.message` (string)
    Example: Something went wrong

  - `additionalData.result` (string)
    Example: error

  - `additionalData.success` (boolean)
    Example: false

  - `response` (any)

  - `supportToken` (string)

## Response 500:

  - `500` (unknown)
    Error while processing the request

## Response 500 fields (*/*):

  - `additionalData` (object)

  - `additionalData.message` (string)
    Example: Something went wrong

  - `additionalData.result` (string)
    Example: error

  - `additionalData.success` (boolean)
    Example: false

  - `response` (any)

  - `supportToken` (string)

